Index: admin/js/tiny_mce/plugins/dcControls/js/popup_media.js
===================================================================
--- admin/js/tiny_mce/plugins/dcControls/js/popup_media.js	(revision 410)
+++ admin/js/tiny_mce/plugins/dcControls/js/popup_media.js	(revision 410)
@@ -0,0 +1,120 @@
+tinyMCEPopup.requireLangPack();
+
+var popup_media = {
+	init: function() {
+		$('#media-insert-ok').click(function() {
+			// Internal vars
+			var ed = tinyMCEPopup.editor;
+			var formatter = ed.getParam('formatter');
+			var node = ed.selection.getNode();
+			var media_align_grid = {
+				left: 'float: left; margin: 0 1em 1em 0;',
+				right: 'float: right; margin: 0 0 1em 1em;',
+				center: 'text-align: center;'
+			};
+			// Form vars
+			var url = $('input[name="url"]').val();
+			var src = $('input[name="src"]:checked').val();
+			var type = $('input[name="type"]').val();
+			var title = $('input[name="title"]').val();
+			var description = $('input[name="description"]').val();
+			var alignment = $('input[name="alignment"]:checked').val();
+			var insertion = $('input[name="insertion"]:checked').val();
+			var player = $('#public_player').val();
+			var width = $('#video_w').val();
+			var height = $('#video_h').val();
+			
+			if (type == 'image') {
+				var opts_img = {
+					src: src,
+					alt: (description || title),
+					title: title
+				};
+				var opts_a = {
+					href: url,
+					title: opts_img.alt
+				};
+				
+				if (alignment != 'none') {
+					opts_img.style = media_align_grid[alignment];
+				}
+				
+				var res = null;
+				var img = ed.dom.create('img',opts_img);
+				 
+				if (insertion == 'link') {
+					res = ed.dom.createHTML('a',opts_a,ed.dom.getOuterHTML(img));
+				}
+				else {
+					res = ed.dom.getOuterHTML(img);
+				}
+				ed.execCommand('mceInsertContent',false,res,{skip_undo : 1});
+			}
+			else if (type == 'mp3') {
+				var res = null;
+				var opts_div = {
+					class: 'media media-audio'
+				};
+				
+				if (alignment != 'none') {
+					opts_div.style = media_align_grid[alignment];
+				}
+				
+				res = ed.dom.createHTML('div',opts_div,player);
+				
+				ed.execCommand('mceInsertContent',false,res,{skip_undo : 1});
+			}
+			else if (type == 'flv') {
+				var res = null;
+				var opt_div = {
+					class: 'media media-video'
+				};
+				var oplayer = $(player);
+				var flashvars = $('[name="FlashVars"]',player).val();
+				
+				if (title) {
+					flashvars = 'title='+title+'&amp;'+flashvars;
+				}
+				flashvars = flashvars.replace(/(width=\d*)/,'width='+width);
+				flashvars = flashvars.replace(/(height=\d*)/,'height='+height);
+				$('[name="FlashVars"]',oplayer).val(flashvars);
+				
+				oplayer.attr('width',width);
+				oplayer.attr('height',height);
+				
+				if (alignment != 'none') {
+					opt_div.style = media_align_grid[alignment];
+				}
+				
+				res = ed.dom.createHTML('div',opt_div,ed.dom.getOuterHTML(oplayer.get(0)));
+				
+				ed.execCommand('mceInsertContent',false,res,{skip_undo : 1});
+			}
+			else {
+				var res = null;
+				var opts_a = {
+					href: url,
+					title: title
+				};
+				
+				if (alignment != 'none') {
+					opts_a.style = media_align_grid[alignment];
+				}
+				
+				res = ed.dom.createHTML('a',opts_a,(description || title));
+				
+				ed.execCommand('mceInsertContent',false,res,{skip_undo : 1});
+			}
+			
+			ed.execCommand('mceEndUndoLevel');
+			ed.execCommand('mceRepaint');
+			tinyMCEPopup.close();
+		});
+		
+		$('#media-insert-cancel').click(function() {
+			tinyMCEPopup.close();
+		});
+	}
+};
+
+tinyMCEPopup.onInit.add(popup_media.init, popup_media);
Index: admin/js/tiny_mce/plugins/dcControls/js/popup_web_media.js
===================================================================
--- admin/js/tiny_mce/plugins/dcControls/js/popup_web_media.js	(revision 427)
+++ admin/js/tiny_mce/plugins/dcControls/js/popup_web_media.js	(revision 427)
@@ -0,0 +1,168 @@
+tinyMCEPopup.requireLangPack();
+
+var popup_web_media = {
+	oembed_opts: {
+		maxWidth: 450,
+		maxHeight: 400,
+		onProviderNotFound: function(url) {
+			$('#src').removeClass().addClass('error');
+			alert(tinyMCEPopup.editor.getLang('dcControls_dlg.provider_not_supported'));
+		},
+		beforeEmbed: function(data) {
+			if (data.type == 'error') {
+				$('#src').removeClass().addClass('error');
+				$('a.insert').hide();
+			} else {
+				$('#src').removeClass().addClass('success');
+				$('a.insert').show();
+			}
+		},
+		afterEmbed: function(data) {
+			if (data.type != 'error') {
+				var attr = new Array();
+				if (data.provider_name) attr.push(data.provider_name);
+				if (data.author_name) attr.push(data.author_name);
+				if (data.title) attr.push(data.title);
+				
+				$('#alt').val(attr.join(' - '));
+				$('#title').val(data.title);
+				
+				if (data.width) $('#width').val(data.width);
+				if (data.height) $('#height').val(data.height);
+				
+				if (data.type == 'photo') {
+					$('#width').attr('disabled',true);
+					$('#height').attr('disabled',true);
+				} else {
+					$('#width').attr('disabled',false);
+					$('#height').attr('disabled',false);
+				}
+				
+				if (!data.thumbnail_url) {
+					$('input[value="thumbnail"]').attr('disabled',true);
+				} else {
+					$('input[value="thumbnail"]').attr('disabled',false);
+				}
+				
+				$(this).data('data',data);
+				
+				$('div.two-cols').slideDown();
+			}
+		},
+		onError: function(xhr,status,error) {
+			$('#src').removeClass().addClass('error');
+			alert(tinyMCEPopup.editor.getLang('dcControl_dlg.webmedia_no_information'));
+		}
+	},
+	
+	init: function() {
+		$('a.insert').hide();
+		
+		$('#src').focusin(function(e) {
+			$(this).removeClass();
+		}).keypress(function(e) {
+			if (e.keyCode == 13) {
+				$(this).focusout();
+				$('#webmedia-insert-search').click();
+			}
+		});
+		
+		$('#webmedia-insert-search').click(function() {
+			if ($('#src').val() == '') {
+				return;
+			}
+			
+			$('a.insert').hide();
+			
+			$('div.two-cols').slideUp();
+			
+			$('#src').removeClass().addClass('loading');
+			
+			$('#alt,#title,#width,#height').val('');
+			
+			$('div.preview').data('data',null);
+			$('div.preview').oembed($('#src').val(),popup_web_media.oembed_opts);
+		});
+		
+		$('#webmedia-insert-ok').click(function(){
+			var ed = tinyMCEPopup.editor;
+			var media_align_grid = {
+				left: 'float: left; margin: 0 1em 1em 0;',
+				right: 'float: right; margin: 0 0 1em 1em;',
+				center: 'text-align: center;'
+			};
+			var data = $('div.preview').data('data');
+			var alignment = $('input[name=alignment]:checked').val();
+			var insertion = $('input[name="insertion"]:checked').val();
+			var src = $('input[name="src"]').val();
+			var title = $('input[name="title"]').val();
+			var alt = $('input[name="alt"]').val();
+			var width = $('input[name="width"]').val();
+			var height = $('input[name="height"]').val();
+			
+			if (data != null) {
+				var res = null;
+				var opts_div = {
+					class: 'media media-' + data.type
+				};
+				var opts_img = {
+					src: data.thumbnail_url,
+					alt: alt,
+					title: title
+				};
+				var opts_a = {
+					href: src,
+					title: title
+				};
+				
+				switch($('input[name="insertion"]:checked').val()) {
+					case 'media':
+						code = $(data.code).attr({
+							'width': width,
+							'height': height
+						});
+						res = ed.dom.create('div',opts_div,ed.dom.getOuterHTML(code.get(0)))
+						break;
+					case 'thumbnail':
+						var img = ed.dom.create('img',opts_img);
+						res = ed.dom.create('a',opts_a,ed.dom.getOuterHTML(img));
+						break;
+					case 'link':
+						res = ed.dom.create('a',opts_a,alt);
+						break;
+				}
+				
+				if (alignment != 'none') {
+					ed.dom.setAttribs(res,{style: media_align_grid[alignment]});
+				}
+				
+				ed.execCommand('mceInsertContent',false,ed.dom.getOuterHTML(res) + ed.dom.createHTML('p'));
+				ed.execCommand('mceRepaint');
+				tinyMCEPopup.close();
+			} else {
+				alert(tinyMCEPopup.editor.getLang('dcControls_dlg.no_media_loaded'));
+			}
+		});
+		
+		$('#webmedia-insert-cancel').click(function(){
+			tinyMCEPopup.close();
+		});
+	},
+	
+	getOEmbedListInfo: function(data,attr) {
+		var info = $('<ul>');
+		for (i in data) {
+			if (attr.hasOwnProperty(i)) {
+				info.append($('<li>').append(attr[i] + ': ' + data[i]));
+			}
+			
+		}
+		return info;
+	}
+};
+
+function plop(data) {
+	alert(data.type);
+}
+
+tinyMCEPopup.onInit.add(popup_web_media.init, popup_web_media);
Index: admin/js/tiny_mce/plugins/dcwiki/editor_plugin.js
===================================================================
--- admin/js/tiny_mce/plugins/dcwiki/editor_plugin.js	(revision 593)
+++ admin/js/tiny_mce/plugins/dcwiki/editor_plugin.js	(revision 593)
@@ -0,0 +1,120 @@
+(function() {
+	tinymce.create('tinymce.plugins.dcwiki',{
+		// Init.
+		init: function(ed, url) {
+			var t = this;
+			
+			t.editor = ed;
+			
+			ed.onBeforeSetContent.add(function(ed,o) {
+				o.content = t._wiki2html(o.content);
+			});
+			ed.onPostProcess.add(function(ed, o) {
+				if (o.set)
+					o.content = t._wiki2html(o.content);
+				if (o.get)
+					o.content = t._html2wiki(o.content);
+			});
+			
+			// Register commands
+			ed.addCommand('Bold', function() {
+				var s = ed.selection.getContent();
+				var res = '__' + s + '__';
+				
+				ed.execCommand('mceInsertContent',false,res);
+			});
+			ed.addCommand('Italic', function() {
+				var s = ed.selection.getContent();
+				var res = "''" + s + "''";
+				
+				ed.execCommand('mceInsertContent',false,res);
+			});
+			ed.addCommand('Underline', function() {
+				var s = ed.selection.getContent();
+				var res = '++' + s + '++';
+				
+				ed.execCommand('mceInsertContent',false,res);
+			});
+			ed.addCommand('Strikethrough', function() {
+				var s = ed.selection.getContent();
+				var res = '--' + s + '--';
+				
+				ed.execCommand('mceInsertContent',false,res);
+			});
+			ed.addCommand('mceBlockQuote', function() {
+				var s = ed.selection.getContent();
+				var res = '<br />> ' + s;
+				
+				ed.execCommand('mceInsertContent',false,res);
+			});
+			ed.addCommand('InsertUnorderedList', function() {
+				var s = ed.selection.getContent();
+				var res = '*' + s;
+				
+				ed.execCommand('mceInsertContent',false,res);
+			});
+			ed.addCommand('InsertOrderedList', function() {
+				var s = ed.selection.getContent();
+				var res = '#' + s;
+				
+				ed.execCommand('mceInsertContent',false,res);
+			});
+			
+			ed.addCommand('dcCode', function() {
+				var s = ed.selection.getContent();
+				var res = '@@' + s + '@@';
+				
+				ed.execCommand('mceInsertContent',false,res);
+			});
+			ed.addCommand('dcQuote', function() {
+				var s = ed.selection.getContent();
+				var res = '{{' + s + '}}';
+				
+				ed.execCommand('mceInsertContent',false,res);
+			});
+		},
+		
+		getInfo: function() {
+			return {
+				longname: 'Dotclear wiki controls',
+				author: 'Tomtom for dotclear',
+				authorurl: 'http://dotclear.org',
+				infourl: '',
+				version: tinymce.majorVersion + "." + tinymce.minorVersion
+			};
+		},
+		
+		// HTML -> Dotclear wiki
+		_html2wiki : function(s) {
+			s = tinymce.trim(s);
+			
+			function rep(re, str) {
+				s = s.replace(re, str);
+			};
+			
+			rep(/<br(\s*\/)?>/gi,"\n");
+			rep(/&lt;/gi,'<');
+			rep(/&gt;/gi,'>');
+			
+			return s;
+		},
+		
+		// Dotclear wiki -> HTML
+		_wiki2html : function(s) {
+			s = tinymce.trim(s);
+			
+			function rep(re, str) {
+				s = s.replace(re, str);
+			};
+			
+			rep(/</gi,'&lt;');
+			rep(/>/gi,'&gt;');
+			rep(/\n/g,'<br />');
+			
+			return s;
+		}
+	});
+	
+	// Register plugin
+	tinymce.PluginManager.add('dcwiki',tinymce.plugins.dcwiki);
+})();
Index: admin/js/tiny_mce/plugins/fullscreen/editor_plugin_src.js
===================================================================
--- admin/js/tiny_mce/plugins/fullscreen/editor_plugin_src.js	(revision 307)
+++ admin/js/tiny_mce/plugins/fullscreen/editor_plugin_src.js	(revision 307)
@@ -0,0 +1,159 @@
+/**
+ * editor_plugin_src.js
+ *
+ * Copyright 2009, Moxiecode Systems AB
+ * Released under LGPL License.
+ *
+ * License: http://tinymce.moxiecode.com/license
+ * Contributing: http://tinymce.moxiecode.com/contributing
+ */
+
+(function() {
+	var DOM = tinymce.DOM;
+
+	tinymce.create('tinymce.plugins.FullScreenPlugin', {
+		init : function(ed, url) {
+			var t = this, s = {}, vp, posCss;
+
+			t.editor = ed;
+
+			// Register commands
+			ed.addCommand('mceFullScreen', function() {
+				var win, de = DOM.doc.documentElement;
+
+				if (ed.getParam('fullscreen_is_enabled')) {
+					if (ed.getParam('fullscreen_new_window'))
+						closeFullscreen(); // Call to close in new window
+					else {
+						DOM.win.setTimeout(function() {
+							tinymce.dom.Event.remove(DOM.win, 'resize', t.resizeFunc);
+							tinyMCE.get(ed.getParam('fullscreen_editor_id')).setContent(ed.getContent({format : 'raw'}), {format : 'raw'});
+							tinyMCE.remove(ed);
+							DOM.remove('mce_fullscreen_container');
+							de.style.overflow = ed.getParam('fullscreen_html_overflow');
+							DOM.setStyle(DOM.doc.body, 'overflow', ed.getParam('fullscreen_overflow'));
+							DOM.win.scrollTo(ed.getParam('fullscreen_scrollx'), ed.getParam('fullscreen_scrolly'));
+							tinyMCE.settings = tinyMCE.oldSettings; // Restore old settings
+						}, 10);
+					}
+
+					return;
+				}
+
+				if (ed.getParam('fullscreen_new_window')) {
+					win = DOM.win.open(url + "/fullscreen.htm", "mceFullScreenPopup", "fullscreen=yes,menubar=no,toolbar=no,scrollbars=no,resizable=yes,left=0,top=0,width=" + screen.availWidth + ",height=" + screen.availHeight);
+					try {
+						win.resizeTo(screen.availWidth, screen.availHeight);
+					} catch (e) {
+						// Ignore
+					}
+				} else {
+					tinyMCE.oldSettings = tinyMCE.settings; // Store old settings
+					s.fullscreen_overflow = DOM.getStyle(DOM.doc.body, 'overflow', 1) || 'auto';
+					s.fullscreen_html_overflow = DOM.getStyle(de, 'overflow', 1);
+					vp = DOM.getViewPort();
+					s.fullscreen_scrollx = vp.x;
+					s.fullscreen_scrolly = vp.y;
+
+					// Fixes an Opera bug where the scrollbars doesn't reappear
+					if (tinymce.isOpera && s.fullscreen_overflow == 'visible')
+						s.fullscreen_overflow = 'auto';
+
+					// Fixes an IE bug where horizontal scrollbars would appear
+					if (tinymce.isIE && s.fullscreen_overflow == 'scroll')
+						s.fullscreen_overflow = 'auto';
+
+					// Fixes an IE bug where the scrollbars doesn't reappear
+					if (tinymce.isIE && (s.fullscreen_html_overflow == 'visible' || s.fullscreen_html_overflow == 'scroll'))
+						s.fullscreen_html_overflow = 'auto'; 
+
+					if (s.fullscreen_overflow == '0px')
+						s.fullscreen_overflow = '';
+
+					DOM.setStyle(DOM.doc.body, 'overflow', 'hidden');
+					de.style.overflow = 'hidden'; //Fix for IE6/7
+					vp = DOM.getViewPort();
+					DOM.win.scrollTo(0, 0);
+
+					if (tinymce.isIE)
+						vp.h -= 1;
+
+					// Use fixed position if it exists
+					if (tinymce.isIE6)
+						posCss = 'absolute;top:' + vp.y;
+					else
+						posCss = 'fixed;top:0';
+
+					n = DOM.add(DOM.doc.body, 'div', {
+						id : 'mce_fullscreen_container', 
+						style : 'position:' + posCss + ';left:0;width:' + vp.w + 'px;height:' + vp.h + 'px;z-index:200000;'});
+					DOM.add(n, 'div', {id : 'mce_fullscreen'});
+
+					tinymce.each(ed.settings, function(v, n) {
+						s[n] = v;
+					});
+
+					s.id = 'mce_fullscreen';
+					s.width = n.clientWidth;
+					s.height = n.clientHeight - 15;
+					s.fullscreen_is_enabled = true;
+					s.fullscreen_editor_id = ed.id;
+					s.theme_advanced_resizing = false;
+					s.save_onsavecallback = function() {
+						ed.setContent(tinyMCE.get(s.id).getContent({format : 'raw'}), {format : 'raw'});
+						ed.execCommand('mceSave');
+					};
+
+					tinymce.each(ed.getParam('fullscreen_settings'), function(v, k) {
+						s[k] = v;
+					});
+
+					if (s.theme_advanced_toolbar_location === 'external')
+						s.theme_advanced_toolbar_location = 'top';
+
+					t.fullscreenEditor = new tinymce.Editor('mce_fullscreen', s);
+					t.fullscreenEditor.onInit.add(function() {
+						t.fullscreenEditor.setContent(ed.getContent());
+						t.fullscreenEditor.focus();
+					});
+
+					t.fullscreenEditor.render();
+
+					t.fullscreenElement = new tinymce.dom.Element('mce_fullscreen_container');
+					t.fullscreenElement.update();
+					//document.body.overflow = 'hidden';
+
+					t.resizeFunc = tinymce.dom.Event.add(DOM.win, 'resize', function() {
+						var vp = tinymce.DOM.getViewPort(), fed = t.fullscreenEditor, outerSize, innerSize;
+
+						// Get outer/inner size to get a delta size that can be used to calc the new iframe size
+						outerSize = fed.dom.getSize(fed.getContainer().firstChild);
+						innerSize = fed.dom.getSize(fed.getContainer().getElementsByTagName('iframe')[0]);
+
+						fed.theme.resizeTo(vp.w - outerSize.w + innerSize.w, vp.h - outerSize.h + innerSize.h);
+					});
+				}
+			});
+
+			// Register buttons
+			ed.addButton('fullscreen', {title : 'fullscreen.desc', cmd : 'mceFullScreen'});
+
+			ed.onNodeChange.add(function(ed, cm) {
+				cm.setActive('fullscreen', ed.getParam('fullscreen_is_enabled'));
+			});
+		},
+
+		getInfo : function() {
+			return {
+				longname : 'Fullscreen',
+				author : 'Moxiecode Systems AB',
+				authorurl : 'http://tinymce.moxiecode.com',
+				infourl : 'http://wiki.moxiecode.com/index.php/TinyMCE:Plugins/fullscreen',
+				version : tinymce.majorVersion + "." + tinymce.minorVersion
+			};
+		}
+	});
+
+	// Register plugin
+	tinymce.PluginManager.add('fullscreen', tinymce.plugins.FullScreenPlugin);
+})();
